Last modified: 2013-02-25 17:10:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15851 - If the install exists $wgDBmysql5 should be set based on the existing collation
If the install exists $wgDBmysql5 should be set based on the existing collation
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.13.x
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
aklapper-moreinfo
:
Depends on:
Blocks: 3738
  Show dependency treegraph
 
Reported: 2008-10-05 14:44 UTC by Platonides
Modified: 2013-02-25 17:10 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Platonides 2008-10-05 14:44:11 UTC
Problem reported at #mediawiki

User updates 1.12 to 1.13 rerunning the install with the existing db config.
The latin1 install gets $wgDBmysql5 = true;
Collation errors when TeX is active.

It's a user error for accepting the default, but the installer should be smart enough to detect it and skip the given option or throw an error. Otherwise, the errors appear in the form of unexpected db errors on a wiki which seemed to have correctly upgraded.
Comment 1 Bryan Baron 2009-10-26 02:50:11 UTC
Still an issue?
Comment 2 Andre Klapper 2012-10-24 04:13:38 UTC
Platonides: Is this still valid, or can this be closed as obsolete?
Comment 3 Andre Klapper 2013-01-14 15:54:22 UTC
Platonides: Is this still valid, or can this be closed as obsolete?
Comment 4 Platonides 2013-01-14 21:21:24 UTC
We rewrote the installer in the meantime, so it's _probably_ fixed.
Comment 5 Andre Klapper 2013-02-25 17:10:50 UTC
Okay, if there is no clear indication that this 4 1/2 year old issue still exists and as the codebase has been rewritten in the meantime, I'm going to close this as WORKSFORME for the time being. Thanks for the response!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links